﻿/* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

.titulo-blanco-sombra {
    color: white;
    text-shadow: 2px 2px 6px rgba(0,0,0,0.6);
}



/* Set widths on the form inputs since otherwise they're 100% wide */
input,
select,
textarea {
    max-width: 280px;
}

/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
    .jumbotron {
        margin-top: 20px;
    }
    .body-content {
        padding: 0;
    }
}



html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

form {
    min-height: 100vh; /* ✅ ocupa toda la pantalla */
    display: flex;
    flex-direction: column;
}


.main-content {
    flex: 1; /* ✅ empuja el footer hacia abajo */
}


.footer {
    background-color: #3f4547;
    color: #ddd;
    margin-top: 50px;
    /* ✅ esto es lo importante */
    width: 100vw;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
}





.footer-container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 40px 20px;
}

.footer-container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 40px 20px;
}



.footer-col {
    width: 22%;
    min-width: 250px;
    margin-bottom: 20px;
}

    .footer-col h5 {
        color: #fff;
        border-bottom: 2px solid red;
        padding-bottom: 5px;
        margin-bottom: 15px;
    }

    .footer-col ul {
        list-style: none;
        padding: 0;
    }

        .footer-col ul li {
            margin: 10px 0;
        }

    .footer-col a {
        text-decoration: none;
        color: #ddd;
    }

        .footer-col a:hover {
            color: #fff;
        }

.footer-logo {
    width: 80px;
    margin-bottom: 15px;
}

.footer-bottom {
    background-color: #2b2f31;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 50px;
    margin-top: 30px;
}

.social a {
    margin-left: 10px;
    color: red;
    font-size: 18px;
}


body::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4); /* intensidad */
    z-index: -1;
}


